﻿using System;
using System.Linq;
using Microsoft.EntityFrameworkCore;
using Publications;

namespace ConsoleApp
{
    class Program
    {
        static void Main(string[] args)
        {
            //SeedSomeData();
            GetAndUpdateSomeData();
        }

        private static void GetAndUpdateSomeData()
        {
            using (var context = new PublicationsContext())
            {
                Console.WriteLine("Query");
                var mag = context.Magazines.Include(m=>m.Articles)
                    .FirstOrDefault(m => m.MagazineId == 1);
                Console.WriteLine("Edit");
                mag.Articles.FirstOrDefault().AuthorName += " and Friends";
                Console.WriteLine("Save");
                var results = context.SaveChanges();
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine($"Program Message: The app has updated {results} rows");
            }

        }

        static void SeedSomeData()
        {
            using (var context = new PublicationsContext())
            {
                context.Database.EnsureDeleted();
                context.Database.EnsureCreated();
                var mag = new Magazine("MSDN Magazine", "1105 Media");
                   var article = new Article("EF Core 2.1 Query Types","Julie Lerman");
                 mag.Articles.Add(article);
                 context.Magazines.Add(mag);
                Console.WriteLine("Next call savechanges");
                var results=context.SaveChanges();
                Console.ForegroundColor = ConsoleColor.Red;
                Console.WriteLine($"Program Message: The app has stored {results} rows");
            }

        }
    }
}
